#!/bin/sh

# Build TclKitSh on Linux

V=8.4

( cd ../../../Tcl/unix
  ./configure --enable-gcc --disable-shared --disable-threads
  make libtcl$V.a
) &&
( cd ../../builds
  ../unix/configure --enable-gcc --disable-shared --with-tcl=../../Tcl/unix
  make libmk4tcl.a
) &&
( pwd

  D="-DNDEBUG"
  A="-DTCL_LOCAL_APPINIT=TclKit_AppInit"
  I="-I. -I../../../Tcl/generic -I../../include"
  L="../../../Tcl/unix/libtcl$V.a ../../builds/libmk4tcl.a"

  rm -f *.o
  gcc -c -O3 $I $D *.c *.cpp
  gcc -c -O3 $I $D $A ../../../Tcl/unix/tclAppInit.c

  gcc -static -o kitsh *.o $L -lm -ldl -lz
  strip kitsh
  rm *.o
)

upx -q -9 kitsh || echo "no upx"

rm -f tclkitsh
./kitsh
ls -l tclkitsh
