#!/bin/sh

# Build TclKit on Linux

V=8.4

( cd ../../../Tcl/unix
  ./configure --enable-gcc --disable-shared --disable-threads
  make libtcl$V.a
) &&
( cd ../../../Tk/unix
  ./configure --enable-gcc --disable-shared --disable-threads \
  						--with-tcl=../../Tcl/unix
  make libtk$V.a
) &&
( cd ../../builds
  ../unix/configure --enable-gcc --disable-shared --with-tcl=../../Tcl/unix
  make libmk4tcl.a
) &&
( pwd

  D="-DNDEBUG -DKIT_INCLUDES_TK"
  A="-DTCL_LOCAL_APPINIT=TclKit_AppInit"
  I="-I. -I../../../Tcl/generic -I../../include"
  L="../../../Tcl/unix/libtcl$V.a ../../../Tk/unix/libtk$V.a \
	../../builds/libmk4tcl.a"
  X="/usr/X11R6/lib/libX11.a"

  rm -f *.o
  gcc -c -O3 $I $D *.c *.cpp
  gcc -c -O3 $I $D $A ../../../Tcl/unix/tclAppInit.c

  gcc -static -o kit *.o $L $X -lm -ldl -lz
  strip kit
  rm *.o
)

upx -q -9 kit || echo "no upx"

rm -f tclkit
./kit
ls -l tclkit
