// Copyright (c) 1999-2000 Jean-Claude Wippler <jcw@equi4.com>
//
// Pink command dispatcher

#include "wcommon.h"

/////////////////////////////////////////////////////////////////////////////

static wRef wPinkCmd(wCallFrame& cf_)
{
    static const char* cmds[] = {
        "zlib", "md5", "tcl", 0
    };

    switch (cf_.Lookup(cmds))
    {
    case 0: // zlib ...
        {
            extern wRef wZlibCmd(wCallFrame&);
            return wZlibCmd(cf_);
        }
    case 1: // md5 ...
        {
            extern wRef wMD5Cmd(wCallFrame&);
            return wMD5Cmd(cf_);
        }
    }

    return wRef ();
}

/////////////////////////////////////////////////////////////////////////////

wEXPORT(int) Pink_Init(wContext* interp_)
{
    return wDefine(wPinkCmd, "pink", interp_);
}

#ifdef _DEBUG
wEXPORT(void) initpink_d()
{
    (void) wDefine(wPinkCmd, "pink_d");
}
#else
wEXPORT(void) initpink()
{
    (void) wDefine(wPinkCmd, "pink");
}
#endif

/////////////////////////////////////////////////////////////////////////////

